## jabber-muc 0.6.0

=== Makefile ===
all: 
	cd src/ ; make

clean: 
	rm -f *~
	rm -f include/*~
	rm -f scripts/*~
	cd src/ ; make clean

=== src/Makefile ===
include ../../platform-settings

CFLAGS:=$(CFLAGS) -I../../jabberd -I../include `pkg-config --cflags glib-2.0`
LIBS:=$(LIBS) `pkg-config --libs glib-2.0`

# Debug/Experimental
#CFLAGS:=$(CFLAGS) -pipe -Os -I../../jabberd -I../include 
#LIBS:=$(LIBS) /usr/local/lib/ccmalloc-gcc.o -lccmalloc 
#LIBS:=$(LIBS) -lmemusage
#LIBS:=$(LIBS) -lmcheck

conference_OBJECTS=conference.o conference_room.o conference_user.o utils.o xdata.o admin.o roles.o xdb.o hash.o

all: conference

conference: $(conference_OBJECTS)
ifeq ($(__CYGWIN__),1)
	$(CC) $(CFLAGS) $(MCFLAGS) -o mu-conference.dll $(conference_OBJECTS) ../../jabberd/jabberd.a $(LDFLAGS) $(LIBS)
else        
	$(CC) $(CFLAGS) $(MCFLAGS) -o mu-conference.so $(conference_OBJECTS) $(LDFLAGS) $(LIBS)
endif

static: $(conference_OBJECTS)

single: $(conference_OBJECTS)

clean:
ifeq ($(__CYGWIN__),1)
	rm -f $(conference_OBJECTS) mu-conference.dll
else        
	rm -f $(conference_OBJECTS) mu-conference.so *~
endif

## jabber-muc 0.8

=== Makefile ===
all: 
	cd src/ ; $(MAKE)

clean: 
	rm -f *~
	rm -f include/*~
	rm -f scripts/*~
	cd src/ ; $(MAKE) clean

=== src/Makefile ===
CC:=gcc
CFLAGS:=$(CFLAGS) -O2 -Wall -I../../lib -I../include `pkg-config --cflags glib-2.0` -D_JCOMP -D_REENTRANT -DLIBIDN
#CFLAGS:=$(CFLAGS) -O2 -Wall -I../../lib -I../include `pkg-config --cflags glib-2.0` -D_JCOMP -D_REENTRANT -DLIBIDN -DHAVE_MYSQL
LIBS:=$(LIBS) -ljcomp -lm `pkg-config --libs glib-2.0` `pkg-config --libs gthread-2.0` -lexpat -lidn
#LIBS:=$(LIBS) -ljcomp -lm `pkg-config --libs glib-2.0` `pkg-config --libs gthread-2.0` -lexpat -lidn `mysql_config --libs`
LDFLAGS:=-L.

# Debug/Experimental
#CFLAGS:=$(CFLAGS) -pipe -Os -I../../jabberd -I../include 
#LIBS:=$(LIBS) /usr/local/lib/ccmalloc-gcc.o -lccmalloc 
#LIBS:=$(LIBS) -lmemusage
#LIBS:=$(LIBS) -lmcheck

conference_OBJECTS=libjcomp.a conference.o conference_room.o conference_user.o utils.o xdata.o admin.o roles.o xdb.o hash.o iq.o main.o mysql.o 

all: mu-conference

mu-conference: $(conference_OBJECTS)
	$(CC) $(CFLAGS) $(MCFLAGS) -o mu-conference $(conference_OBJECTS) $(LDFLAGS) $(LIBS)

libjcomp.a:
	cd jabberd ; $(MAKE)
	cd jcomp ; $(MAKE) lib

static: $(conference_OBJECTS)

single: $(conference_OBJECTS)

clean:
	rm -f $(conference_OBJECTS) mu-conference *~
	cd jcomp ; $(MAKE) clean
	cd jabberd ; $(MAKE) clean

=== src/jabberd/Makefile ===

CC=gcc
CFLAGS:=$(CFLAGS) -O2 -Wall -I. -I../../include `pkg-config --cflags glib-2.0` -D_REENTRANT -DLIBIDN
LIBS=

JCOMP_LIB_OBJECTS=expat.o \
	jid.o \
	jpacket.o \
	jutil.o \
	pool.o \
	sha.o \
	snprintf.o \
	str.o \
	xmlnode.o 


all: $(JCOMP_LIB_OBJECTS)
	ar rv ../libjcomp.a $(JCOMP_LIB_OBJECTS)
	ranlib ../libjcomp.a


clean:
	rm -f $(JCOMP_LIB_OBJECTS) ../libjcomp.a

=== src/jcomp/Makefile ===

#  $Id: Makefile,v 1.1 2005/12/06 14:48:49 peregrine Exp $
CC=gcc
CFLAGS:=$(CFLAGS) -O2 -Wall -I../../include -I. `pkg-config --cflags glib-2.0` -D_REENTRANT
LIBS=

JCOMP_OBJECTS=jcr_xdb.o \
	jcr_log.o \
	jcr_deliver.o \
	jcr_elements.o \
	jcr_main_stream_error.o \
	jcr_shutdown.o \
	jcr_compatibility.o \
	jcr_base_connect.o


all: $(JCOMP_OBJECTS) main.o
	gcc -g $(JCOMP_OBJECTS) main.o ../libjcomp.a `pkg-config --libs gthread-2.0` `pkg-config --libs glib-2.0` -o main

lib: $(JCOMP_OBJECTS)
	@ar rv ../libjcomp.a $(JCOMP_OBJECTS)
	@ranlib ../libjcomp.a

clean:
	rm -f $(JCOMP_OBJECTS)

=== debian/changelog ===
jabber-muc (0.8-4) unstable; urgency=low

  * New maintainer (Closes: #589307).
  * Removed /var/run (Closes: #689894).
    - debian/dirs: removed /var/run entry.
    - debian/postinst: removed /var/run entries.
    - debian/lintian-overrides: removed /var/run entry. 
    - debian/rules: removed lintian-overrides copy operation.
  * Make debian/component.d/* less bashish.
  * Make it a debhelper package:
    + debian/rules: debhelper compliant
    + debian/jabberd2-muc.xml: renamed to muc.xml.
    + debian/install: file created. Needed for rules.
    + debian/default: made some corrections and comments.
    + debian/control: remove hardening-includes. Not needed anymore.
  * debian/TODO: updated.
  * debian/TODO: added file.
  * debian/copyright: new format, updated maintainer information.
  * debian/control: added myself to the uploaders list.
  * debian/lintian-overrides: added spelling-error-in-binary.
  * debian/rules: include hardening options.
    - debian/lintian-overrides: added hardening-no-relro.
  * debian/rules: added build-arch, build-indep.
  * Now quilt 3.0 compatible.
  * debian/control: added Vcs-git and Vcs-Browser tags.
  * debian/control: make extended description longer.
  * debian/component.d/60muc: added status option.
  * Bump standards version to 3.9.4.
  * Debhelper dependency to >9.
    - debian/compat: updated to 9.
  * Added debian/watch file.
  * Added mu-conference man page.
    + debian/mu-conference.1 file added.
    + debian/manpage file added.
  * Added patch for CFLAGS in src/Makefile to make hardening work.

 -- Willem van den Akker <wvdakker@wilsoft.nl>  Wed, 24 Jul 2013 18:07:35 +0200

jabber-muc (0.8-3) unstable; urgency=low

  * jabberd2-muc.xml:
    - Changed default jabberd2 port to connect to.
    - Give a proper path to the room log dir.
  * prerm:
    - Prevent an exit if invoke-rc.d fails.
  * postinst:
    - Give proper owner and permissions to the room dir and room log dir.

 -- Jorge Salamero Sanz <bencer@debian.org>  Mon, 28 Dec 2009 17:45:43 +0100

jabber-muc (0.8-2) unstable; urgency=low

  * We get rid of dpkg-statoverride and we use chmod an chown instead.
  * Nicer fix for the pidpath creation and chown.

 -- Jorge Salamero Sanz <bencer@debian.org>  Fri, 17 Apr 2009 20:17:19 +0100

jabber-muc (0.8-1) unstable; urgency=low

  * New Upstream Version (Closes: #341499).
  * New maintainer Debian XMPP Maintainers.
  * Debian packaging has been completly rewritten supporting only jabberd2.

 -- Jorge Salamero Sanz <bencer@debian.org>  Wed, 15 Apr 2009 15:35:06 +0100

jabber-muc (0.6.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - fixed FTBFS if built twice in a row (Closes: #424423)
  * debian/patches/20_bts-457730.dpatch
    - added from BTS (Closes: #457730)

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 09 Apr 2008 18:51:13 +0200

jabber-muc (0.6.0-2) unstable; urgency=low

  * added needed build depends on libglib2.0-dev (Closes: #228877)

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Wed, 21 Jan 2004 21:54:57 -0700

jabber-muc (0.6.0-1) unstable; urgency=low

  * new upstream version (Closes: #228148) 

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Fri, 16 Jan 2004 15:27:01 -0700

jabber-muc (0.5.2-7) unstable; urgency=low

  * added support for get-orig-source debian/rules target
  * updated standards version to 3.6.1.0
  * daemon now runs as jabber:adm like current jabber server
  * tightened default permissions on jabber-muc.xml
   - now owned by jabber:adm and 0640

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Fri, 17 Oct 2003 15:56:24 -0600

jabber-muc (0.5.2-6) unstable; urgency=low

  * updated postinst to start the service
  * updated prerm to stop the service
  * added /etc/default file to control whether service starts

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Fri, 29 Aug 2003 10:12:11 -0600

jabber-muc (0.5.2-5) unstable; urgency=low

  * updated jabber.d script to start process as daemon
  * updated jabber.d script to call stop/start for restart
    
 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Thu,  7 Aug 2003 14:29:02 -0600

jabber-muc (0.5.2-4) unstable; urgency=low

  * updated postrm to check for and remove potentially emptry directories
  * updated jabber.d script to 
      - handle stale pid files
      - handle stop request when not started
      - ensure running process stops

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Wed, 23 Jul 2003 12:27:26 -0600

jabber-muc (0.5.2-3) unstable; urgency=low

  * updated default configuration to run as external process 

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Fri,  4 Jul 2003 12:23:46 -0600

jabber-muc (0.5.2-2) unstable; urgency=low

  * conference module packaged (Closes: #156507) 

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Sat, 31 May 2003 12:47:53 -0600

jabber-muc (0.5.2-1) unstable; urgency=low

  * new upstream version 

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Fri, 30 May 2003 16:29:48 -0600

jabber-muc (0.5.1-1) unstable; urgency=low

  * Initial Release.

 -- Jamin W. Collins <jcollins@asgardsrealm.net>  Sat, 19 Apr 2003 13:03:33 -0600

=== debian/control ===
Source: jabber-muc
Section: net
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Willem van den Akker <wvdakker@wilsoft.nl>
Build-Depends: debhelper (>= 9.0.0), libglib2.0-dev, libexpat1-dev, libidn11-dev
Homepage: https://gna.org/projects/mu-conference/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xmpp/jabber-muc.git
Vcs-Git: git://anonscm.debian.org/pkg-xmpp/jabber-muc.git
Standards-Version: 3.9.4

Package: jabber-muc
Architecture: any
Depends: ${shlibs:Depends}, adduser, ${misc:Depends}
Recommends: jabberd14 | jabberd2
Description: Multi User Conference component for the Jabber IM server
 Multi User Conference component provides an implementation of XEP-0045
 which allow the creation of multi-users chat.
 So with jabber-muc, you can run your own Jabber chatrooms server.

=== debian/rules ===
#!/usr/bin/make -f
# rules to package jabber-muc

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Use debhelper's dh
%:
	dh $@

=== debian/watch ===
version=3
http://download.gna.org/mu-conference/mu-conference_(.*).tar.gz
